<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_category
		* @author	   web-eau.net
		* @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;
	
	use Joomla\CMS\Helper\ModuleHelper;
	use Joomla\CMS\Language\Text;
	use Joomla\CMS\Layout\LayoutHelper;
	use Joomla\CMS\Helper\HTMLHelper;
	
	if (!$list)
	{
		return;
	}
	
?>

<ul class="mod-articlescategory category-module mod-list row row-cols-1 row-cols-md-4 g-4"> <!-- because we want 4 columns -->

	<?php foreach ($list as $groupName => $items) : ?>
	<li>
		<div class="mod-articles-category-group"><?php echo Text::_($groupName); ?></div>
		<ul>
			
			<?php foreach ($items as $item) : ?>
			<li>
				<?php if ($params->get('link_titles') == 1) : ?>
				<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
					<?php echo $item->title; ?>
				</a>
				<?php else : ?>
				<?php echo $item->title; ?>
				<?php endif; ?>
				
				
				<?php if ($params->get('show_introtext')) : ?>
				<p class="mod-articles-category-introtext">
					<?php echo $item->displayIntrotext; ?>
				</p>
				<?php endif; ?>
				
			</li>
			<?php endforeach; ?>
			
		</ul>
	</li>
	<?php endforeach; ?>

</ul>